@echo off
move version.txt version_alt.txt
echo.
echo.
echo Es wird nach Updates gesucht....   (bitte Firewall fuer wget.exe freigeben)
echo.
echo.
call .\bin\wget.exe http://www.vdfb.de/downloads/patch10/versionInfo.txt 
move /Y versionInfo.txt version.txt
IF NOT exist version.txt goto:fehler

set v_old=
set v_new=
for /F "tokens=1" %%i in (version_alt.txt) do call :ver_old "%%i" 
for /F "tokens=1" %%j in (version.txt) do call :ver_new "%%j" 
for /F "skip=5 tokens=*" %%d in (version.txt) do set datum=%%d
set version=%v_new%
if %v_old%==%v_new% goto:na
if %v_old% LSS %v_new% goto:download
goto :ende


:ver_old --Eine Variable einmal setzen
if "%v_old%"=="" Set "v_old=%~1"
goto :eof

:ver_new --Eine Variable einmal setzen
if "%v_new%"=="" Set "v_new=%~1"
goto :eof

:download --Neue DB-Dateien runterladen
cls.
call .\bin\wget.exe http://www.vdfb.de/downloads/patch/update.bat -q
move update.bat .\skripts
echo.
call .\skripts\update.bat
goto:ende

:na
cls.
echo.
echo.
echo Kein neues Update verfuegbar!
echo.
echo.
goto:ende

:fehler
move version_alt.txt version.txt
echo.
echo.
echo Es ist ein Fehler aufgetreten. Vermutlich blockiert die Firewall das Update!!!
echo.
echo.
echo Bitte noch mal prüfen, dass die wget.exe von der Firewall nicht blockiert wird.
echo.
echo.
pause.
goto:ende

:ende 
del version_alt.txt